Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 588982 - gnokii --sendsms fails on certain message lengths
gnokii --sendsms fails on certain message lengths
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnokii (Show other bugs)
14
i686 Linux
low Severity high
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 22:32 EDT by Peter C
Modified: 2012-01-15 08:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-15 08:07:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter C 2010-05-04 22:32:34 EDT
Description of problem:
gnokii --sendsms fails on certain message lengths.  It generally seems to fail when increased by four characters. (ie. if increased by one character, the message sends sucessfully)

Version-Release number of selected component (if applicable):
gnokii-0.6.28-1.fc12.i686

How reproducible:
Every time.

Steps to Reproduce:
1. # echo "1111111111" |/usr/bin/gnokii --config /etc/gnokiirc --phone fake --sendsms "9"
2. # echo "11111111111" |/usr/bin/gnokii --config /etc/gnokiirc --phone fake --sendsms "9"
3. # echo "11111111111111" |/usr/bin/gnokii --config /etc/gnokiirc --phone fake --sendsms "9"
  
Actual results:
Step 1 and 3 (above) both fail.  Step 2 succeeds.

Expected results:
All should succeed.

Additional info:
# echo "1111111111" |/usr/bin/gnokii --config /etc/gnokiirc --phone fake --sendsms "9"
GNOKII Version 0.6.28
*** glibc detected *** /usr/bin/gnokii: free(): invalid next size (fast): 0x081c5c40 ***
======= Backtrace: =========
/lib/libc.so.6[0x3327f1]
/usr/lib/libgnokii.so.5(gn_char_def_alphabet+0xb3)[0x5107d3]
/usr/bin/gnokii[0x805b8f8]
/usr/bin/gnokii[0x804b726]
/usr/bin/gnokii[0x804b00d]
/usr/bin/gnokii[0x804b033]
/usr/bin/gnokii[0x804bb40]
/lib/libc.so.6(__libc_start_main+0xe6)[0x2dabb6]
/usr/bin/gnokii[0x804a791]
======= Memory map: ========
00126000-00127000 r-xp 00000000 00:00 0          [vdso]
002a2000-002c0000 r-xp 00000000 fd:05 18890888   /lib/ld-2.11.1.so
002c0000-002c1000 r--p 0001d000 fd:05 18890888   /lib/ld-2.11.1.so
002c1000-002c2000 rw-p 0001e000 fd:05 18890888   /lib/ld-2.11.1.so
002c4000-00432000 r-xp 00000000 fd:05 18891066   /lib/libc-2.11.1.so
00432000-00434000 r--p 0016e000 fd:05 18891066   /lib/libc-2.11.1.so
00434000-00435000 rw-p 00170000 fd:05 18891066   /lib/libc-2.11.1.so
00435000-00438000 rw-p 00000000 00:00 0 
0043a000-00450000 r-xp 00000000 fd:05 3493207    /usr/lib/libbluetooth.so.3.4.2
00450000-00452000 rw-p 00015000 fd:05 3493207    /usr/lib/libbluetooth.so.3.4.2
00454000-0045e000 r-xp 00000000 fd:05 3492762    /usr/lib/libpcsclite.so.1.0.0
0045e000-0045f000 rw-p 0000a000 fd:05 3492762    /usr/lib/libpcsclite.so.1.0.0
00466000-00469000 r-xp 00000000 fd:05 18891070   /lib/libdl-2.11.1.so
00469000-0046a000 r--p 00002000 fd:05 18891070   /lib/libdl-2.11.1.so
0046a000-0046b000 rw-p 00003000 fd:05 18891070   /lib/libdl-2.11.1.so
0046d000-00483000 r-xp 00000000 fd:05 18890901   /lib/libpthread-2.11.1.so
00483000-00484000 r--p 00015000 fd:05 18890901   /lib/libpthread-2.11.1.so
00484000-00485000 rw-p 00016000 fd:05 18890901   /lib/libpthread-2.11.1.so
00485000-00487000 rw-p 00000000 00:00 0 
00489000-004db000 r-xp 00000000 fd:05 3491462    /usr/lib/libical.so.0.43.0
004db000-004e4000 rw-p 00051000 fd:05 3491462    /usr/lib/libical.so.0.43.0
004e4000-004e5000 rw-p 00000000 00:00 0 
004e7000-0057c000 r-xp 00000000 fd:05 3492777    /usr/lib/libgnokii.so.5.0.0
0057c000-00581000 rw-p 00095000 fd:05 3492777    /usr/lib/libgnokii.so.5.0.0
00581000-005c6000 rw-p 00000000 00:00 0 
00653000-00663000 r-xp 00000000 fd:05 3490078    /usr/lib/libXpm.so.4.11.0
00663000-00664000 rw-p 00010000 fd:05 3490078    /usr/lib/libXpm.so.4.11.0
00759000-0078e000 r-xp 00000000 fd:05 18891110   /lib/libreadline.so.6.0
0078e000-00792000 rw-p 00035000 fd:05 18891110   /lib/libreadline.so.6.0
00792000-00793000 rw-p 00000000 00:00 0 
00892000-00899000 r-xp 00000000 fd:05 3492759    /usr/lib/libusb-0.1.so.4.4.4
00899000-0089b000 rw-p 00006000 fd:05 3492759    /usr/lib/libusb-0.1.so.4.4.4
00955000-00972000 r-xp 00000000 fd:05 18891077   /lib/libgcc_s-4.4.3-20100127.so.1
00972000-00973000 rw-p 0001c000 fd:05 18891077   /lib/libgcc_s-4.4.3-20100127.so.1
009cd000-009e3000 r-xp 00000000 fd:05 18891109   /lib/libtinfo.so.5.7
009e3000-009e6000 rw-p 00015000 fd:05 18891109   /lib/libtinfo.so.5.7
009e8000-00a05000 r-xp 00000000 fd:05 3491365    /usr/lib/libxcb.so.1.1.0
00a05000-00a06000 rw-p 0001c000 fd:05 3491365    /usr/lib/libxcb.so.1.1.0
00a08000-00a0a000 r-xp 00000000 fd:05 3490138    /usr/lib/libXau.so.6.0.0
00a0a000-00a0b000 rw-p 00001000 fd:05 3490138    /usr/lib/libXau.so.6.0.0
00a0d000-00b41000 r-xp 00000000 fd:05 3491431    /usr/lib/libX11.so.6.3.0
00b41000-00b45000 rw-p 00133000 fd:05 3491431    /usr/lib/libX11.so.6.3.0
027ef000-02811000 r-xp 00000000 fd:05 18890893   /lib/libncurses.so.5.7
02811000-02812000 rw-p 00021000 fd:05 18890893   /lib/libncurses.so.5.7
08047000-08069000 r-xp 00000000 fd:05 3492248    /usr/bin/gnokii
08069000-0806a000 rw-p 00022000 fd:05 3492248    /usr/bin/gnokii
0806a000-0806d000 rw-p 00000000 00:00 0 
081c4000-081e5000 rw-p 00000000 00:00 0          [heap]
b7483000-b748a000 r--s 00000000 fd:05 3499381    /usr/lib/gconv/gconv-modules.cache
b748a000-b74ce000 rw-p 00000000 00:00 0 
b74ce000-b74cf000 r--p 00e27000 fd:05 3499386    /usr/lib/locale/locale-archive
b74cf000-b75ec000 r--p 0019b000 fd:05 3499386    /usr/lib/locale/locale-archive
b75ec000-b77ec000 r--p 00000000 fd:05 3499386    /usr/lib/locale/locale-archive
b77ec000-b77f0000 rw-p 00000000 00:00 0 
b7801000-b7802000 rw-p 00000000 00:00 0 
bfcca000-bfd0d000 rw-p 00000000 00:00 0          [stack]
Aborted
Comment 1 Bug Zapper 2010-11-03 11:37:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 10:04:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Patrick Monnerat 2011-06-30 10:26:57 EDT
As far as I can believe what I googled, this bug has been fixed by upstream in 0.6.29.
Since Fedora 14 still installs the ".f12.rpm" package, I reopen this bug for F14... Probably time to upgrade ...
Comment 4 Robert Scheck 2012-01-15 08:07:22 EST
I am sorry, Fedora 14 reached EOL. However Fedora 15 is shipping a newer
version, gnokii-0.6.30-1.fc15. Please reopen, if you are able to reproduce
this issue on a current gnokii version at a non-EOL Fedora release.

Note You need to log in before you can comment on or make changes to this bug.